Bug 238457 - net/echoping fails to build (6.0.2_6)
Summary: net/echoping fails to build (6.0.2_6)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-10 16:06 UTC by Matthias Fechner
Modified: 2019-07-03 06:05 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2019-06-10 16:06:25 UTC
Building the port gives the error message:
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
configure.ac:29: error: possibly undefined macro: AC_DEFINE
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf-2.69: /usr/local/bin/autoconf-2.69 failed with exit status: 1
*** Error code 1

Full log is available here:
https://pkg.fechner.net/data/120amd64-default/2019-06-10_18h03m13s/logs/errors/echoping-6.0.2_6.log
Comment 1 Kurt Jaeger freebsd_committer 2019-07-01 18:36:50 UTC
Fixed.
Comment 2 commit-hook freebsd_committer 2019-07-01 18:37:32 UTC
A commit references this bug:

Author: pi
Date: Mon Jul  1 18:36:41 UTC 2019
New revision: 505629
URL: https://svnweb.freebsd.org/changeset/ports/505629

Log:
  net/echoping: fix build by adding USES=pkgconfig

  PR:		238457

Changes:
  head/net/echoping/Makefile
Comment 3 Matthias Fechner freebsd_committer 2019-07-03 06:05:39 UTC
Thanks a lot Kurt!